Subject: I-D: action - draft-rafiee-6man-ra-privacy-00.txt

From: "Hosnieh Rafiee" <[email-masked]>
Date: Thu, 2 May 2013 21:54:20 +0200

Dear all,

I explained the purpose of this draft in my last message to the list ( You can find it here http://www.ietf.org/mail-archive/web/ipv6/current/msg17718.html ). I upload this draft which addresses the problems in rfc 4941. I would appreciate your comments. 
Share your ideas as to whether or not you find it useful.

Thanks,
Best,
Hosnieh

Filename:	 draft-rafiee-6man-ra-privacy
Revision:	 00
Title:		 Router Advertisement based privacy extension in IPv6 autoconfiguration
Creation date:	 2013-05-02
Group:		 Individual Submission
Number of pages: 6
URL:             http://www.ietf.org/internet-drafts/draft-rafiee-6man-ra-privacy-00.txt
Status:          http://datatracker.ietf.org/doc/draft-rafiee-6man-ra-privacy
Htmlized:        http://tools.ietf.org/html/draft-rafiee-6man-ra-privacy-00

Abstract:
   Privacy is an important issue for many governments and users where
   its importance becomes more evident every day. Nodes might change
   their IP addresses frequently in order to avoid being tracked by
   attackers and which also results in the prevention of information
   being leaked from their nodes. In IPv6 networks there is currently
   one solution for maintaining privacy for nodes when IPv6 StateLess
   Address AutoConfiguration (SLAAC) (RFC-4662) is used. Unfortunately
   this solution, i.e., Privacy Extension (RFC-4941), has some problems,
   such as not generating a new Interface ID (IID) after changing the
   router prefix. The RFC also gives no explanation as to how to use CGA
   in its randomizing solution. The purpose of this document is to
   address these issues and to update the current RFC.

The IETF Secretariat